;*****************************************************************************
;  Read EDU RVS data to a sav file.
;  
;  v1.0 - 04/01/2008 - Jeff McIntire
;*****************************************************************************

PRO read_rvs

restore,'/home/jmcintire/VIIRS_Data/general.TEB.sav'

inpath='/home/jmcintire/VIIRS_Data/RC_5_EDU/RVS_EDU/'

; Get list of .dmp files from specified path. 
spawn, 'ls -C1 ' + inpath + '*.txt', list_files
nfile=N_ELEMENTS(list_files)

coef=dblarr(nbands_TEB,nham,maxdet,maxsubsets,3)

FOR ifile=0, nfile-1 DO BEGIN

	openr,lun,list_files[ifile],/get_lun
	n_lines=File_Lines(list_files[ifile])

	awa=''
	header=strarr(1)
	a0=fltarr(n_lines-1)
	a1=fltarr(n_lines-1)
	a2=fltarr(n_lines-1)

	readf,lun,header
	FOR ix=0, n_lines-2 DO BEGIN
		readf,lun,awa
		b1=strsplit(awa,' ',/Extract)
		a0(ix)=b1(6)
		a1(ix)=b1(7)
		a2(ix)=b1(8)
	ENDFOR

	close,lun,/file,/all
	free_lun,lun

	IF band_type_TEB[ifile] EQ 1 THEN BEGIN
		FOR ix=0, n_lines-2 DO BEGIN
			coef[ifile+6,0,0:detectors_TEB[ifile]-1,0,0]=a0[0:detectors_TEB[ifile]-1]
			coef[ifile+6,0,0:detectors_TEB[ifile]-1,0,1]=a1[0:detectors_TEB[ifile]-1]
			coef[ifile+6,0,0:detectors_TEB[ifile]-1,0,2]=a2[0:detectors_TEB[ifile]-1]
			coef[ifile+6,0,0:detectors_TEB[ifile]-1,1,0]=a0[detectors_TEB[ifile]:2*detectors_TEB[ifile]-1]
			coef[ifile+6,0,0:detectors_TEB[ifile]-1,1,1]=a1[detectors_TEB[ifile]:2*detectors_TEB[ifile]-1]
			coef[ifile+6,0,0:detectors_TEB[ifile]-1,1,2]=a2[detectors_TEB[ifile]:2*detectors_TEB[ifile]-1]
		ENDFOR
	ENDIF
	IF band_type_TEB[ifile] EQ 0 THEN BEGIN
		FOR ix=0, n_lines-2 DO BEGIN
			coef[ifile-2,0,0:detectors_TEB[ifile]-1,0,0]=a0[0:detectors_TEB[ifile]-1]
			coef[ifile-2,0,0:detectors_TEB[ifile]-1,0,1]=a1[0:detectors_TEB[ifile]-1]
			coef[ifile-2,0,0:detectors_TEB[ifile]-1,0,2]=a2[0:detectors_TEB[ifile]-1]
			coef[ifile-2,0,0:detectors_TEB[ifile]-1,1,0]=a0[detectors_TEB[ifile]:2*detectors_TEB[ifile]-1]
			coef[ifile-2,0,0:detectors_TEB[ifile]-1,1,1]=a1[detectors_TEB[ifile]:2*detectors_TEB[ifile]-1]
			coef[ifile-2,0,0:detectors_TEB[ifile]-1,1,2]=a2[detectors_TEB[ifile]:2*detectors_TEB[ifile]-1]
		ENDFOR
	ENDIF
	IF band_type_TEB[ifile] EQ 1 THEN coef[ifile+6,1,*,*,*]=coef[ifile+6,0,*,*,*]

ENDFOR

print,coef[6,0,*,1,2]

save,/compress,coef,filename='/home/jmcintire/VIIRS_Code/RC-5/EDU_teb_final_coef.sav'

END
